# List templates

Lists all templates belonging to an organization.

Endpoint: GET /v1/templates
Version: v1
Security: ApiKeyAuth

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

  - `type` (string)
    Filter by template type

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string, required)

  - `data.name` (string, required)

  - `data.content` (string, required)

  - `data.createdBy` (string, required)

  - `data.createdAt` (string, required)

  - `data.lastEditedBy` (string)

  - `data.lastEditedAt` (string)

  - `data.translations` (array)

  - `data.translations.locale` (string, required)
    Format for locale is {language}-{script}-{country}, e.g. "en-US", "uz-Arab-AF", "da"

  - `data.translations.content` (string, required)

  - `data.translations.isDeactivated` (boolean, required)

  - `data.translations.subject` (string)

  - `data.subject` (string)

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

